## ros-humble-simple-launch 1.7.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(simple_launch)

find_package(ament_cmake REQUIRED)

install(DIRECTORY
        example
        DESTINATION share/${PROJECT_NAME})

install(PROGRAMS scripts/service_wrapper DESTINATION lib/${PROJECT_NAME})

ament_python_install_package(${PROJECT_NAME})

ament_package()

=== debian/changelog ===
ros-humble-simple-launch (1.7.1-1jammy) jammy; urgency=high

  * list[] -> List[] for type hints in 20.04
  * detail on __ns for services
  * add service call at launch
  * Contributors: Olivier Kermorgant

 -- Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>  Mon, 15 May 2023 22:00:00 -0000

ros-humble-simple-launch (1.7.0-1jammy) jammy; urgency=high

  * GazeboBridge creates a camera_info topic for all bridged image topics
  * Contributors: Olivier Kermorgant

 -- Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>  Tue, 21 Feb 2023 23:00:00 -0000

ros-humble-simple-launch (1.6.2-1jammy) jammy; urgency=high

  * add .rviz shortcut, clean Python scripts
  * Contributors: Olivier Kermorgant

 -- Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>  Sun, 22 Jan 2023 23:00:00 -0000

ros-humble-simple-launch (1.6.1-1jammy) jammy; urgency=high

  * fix bug in robot_state_publisher with raw URDF
  * Contributors: Olivier Kermorgant

 -- Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>  Sun, 09 Oct 2022 22:00:00 -0000

ros-humble-simple-launch (1.6.0-1jammy) jammy; urgency=high

  * check use_sim_time versus a parameter file
  * resolve any builtin type as Substitution, not only text
  * improve documentation
  * Gazebo + humble compat
  * OpaqueFunction wrapper and SimpleSubstitution
  * switch to CMake to avoid deprecation messages
  * more spawn_gz
  * Contributors: Olivier Kermorgant

 -- Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>  Wed, 05 Oct 2022 22:00:00 -0000

ros-humble-simple-launch (1.5.0-1jammy) jammy; urgency=high

  * allow spawning a Gz model from file
  * parameters are list of dict
  * allow substitution for topics in ros_ign_image bridge
  * Gazebo bridge handles invalid ROS topics through yaml config file. Image bridges are automatically run through ros_ign_image
  * better handling of gazebo spawn pose
  * Contributors: Olivier Kermorgant

 -- Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>  Thu, 25 Aug 2022 22:00:00 -0000

ros-humble-simple-launch (1.4.1-1jammy) jammy; urgency=high

  * more handling of param types
  * Contributors: Olivier Kermorgant

 -- Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>  Tue, 31 May 2022 22:00:00 -0000

ros-humble-simple-launch (1.4.0-1jammy) jammy; urgency=high

  * use Gazebo instead of Ignition
  * better type comprehension
  * Contributors: Olivier Kermorgant

 -- Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>  Tue, 31 May 2022 22:00:00 -0000

ros-humble-simple-launch (1.3.1-1jammy) jammy; urgency=high

  * use underscores in setup.cfg
  * typo in included_launch example
  * Merge pull request #4 <https://github.com/oKermorgant/simple_launch/issues/4> from yushijinhun/patch-1
    Add package & executable parameter to container
  * [readme] add doc for container.package
  * Add package & executable param to container
    This allows the user to use a component container implementation
    other than component_container, such as component_container_isolated
    and component_container_mt.
  * Contributors: Haowei Wen, Olivier Kermorgant

 -- Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>  Sun, 01 May 2022 22:00:00 -0000

ros-humble-simple-launch (1.3.0-1jammy) jammy; urgency=high

  * more use_sim_time: constructor + warning on 'auto'
  * auto_sim_time can be forced instead of checking /clock
  * Contributors: Olivier Kermorgant

 -- Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>  Wed, 02 Feb 2022 23:00:00 -0000

ros-humble-simple-launch (1.2.1-1jammy) jammy; urgency=high

  * add Ignition support
  * Contributors: Olivier Kermorgant

 -- Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>  Sun, 23 Jan 2022 23:00:00 -0000

ros-humble-simple-launch (1.2.0-1jammy) jammy; urgency=high

  * make it clearer for the prefix_gz_plugins param
  * Contributors: Olivier Kermorgant

 -- Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>  Mon, 01 Nov 2021 23:00:00 -0000

ros-humble-simple-launch (1.1.0-1jammy) jammy; urgency=high

  * add capacity to prefix and namespace Gazebo-published messages, as an alternative to using Gazebo namespaces that also remap /tf
  * Contributors: Olivier Kermorgant

 -- Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>  Fri, 24 Sep 2021 22:00:00 -0000

ros-humble-simple-launch (1.0.6-1jammy) jammy; urgency=high

  * node arguments is a raw list and accepts substitutions
  * Contributors: Olivier Kermorgant

 -- Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>  Tue, 21 Sep 2021 22:00:00 -0000

ros-humble-simple-launch (1.0.5-1jammy) jammy; urgency=high

  * automagically convert to expected type for node parameters, remappings, launch arguments
  * Contributors: Olivier Kermorgant

 -- Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>  Tue, 21 Sep 2021 22:00:00 -0000

ros-humble-simple-launch (1.0.4-1jammy) jammy; urgency=high

  * some Python2 legacy bugs
  * Contributors: Olivier Kermorgant

 -- Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>  Thu, 02 Sep 2021 22:00:00 -0000

ros-humble-simple-launch (1.0.3-1jammy) jammy; urgency=high

  * solve typo in node_args
  * better handling of node arguments in nested lists
  * bug fixes around Substitutions
  * Merge pull request #1 <https://github.com/oKermorgant/simple_launch/issues/1> from oKermorgant/master
    deduce executable from package name if needed
  * Contributors: Olivier Kermorgant

 -- Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>  Fri, 16 Apr 2021 22:00:00 -0000

ros-humble-simple-launch (1.0.2-1jammy) jammy; urgency=high

  * composition with existing container
  * Contributors: Olivier Kermorgant

 -- Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>  Mon, 07 Dec 2020 23:00:00 -0000

ros-humble-simple-launch (1.0.1-1jammy) jammy; urgency=high

  * PythonExpression shortcut
  * xacro args now take substitution args
  * add LoadComposableNode feature for existing containers
  * add name_join and path_join to combine raw str and Substitution stuff
  * first commit


=== debian/control ===
Source: ros-humble-simple-launch
Section: misc
Priority: optional
Maintainer: Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake-python, ros-humble-ament-index-python, ros-humble-launch, ros-humble-launch-ros, ros-humble-xacro, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-simple-launch
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-ament-index-python, ros-humble-launch, ros-humble-launch-ros, ros-humble-xacro, ros-humble-ros-workspace
Description: Python helper class for the ROS 2 launch system

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-simple-launch//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-simple-launch 1.10.1

=== debian/changelog ===
ros-humble-simple-launch (1.10.1-1bookworm) bookworm; urgency=high

  * check for gz/ign executable being available
  * gz_world_tf + better guess on Gz vs Ign
  * Contributors: Olivier Kermorgant

 -- Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>  Thu, 04 Jul 2024 16:00:00 -0000

ros-humble-simple-launch (1.10.0-1bookworm) bookworm; urgency=high

  * scope_included_files to include other launch files in a Group and avoid changing my scope
  * remove dead code about prefixing gz plugins
  * forward sim_time even for nodes that load a parameter file
  * lazy GazeboBridge
  * Contributors: Olivier Kermorgant

 -- Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>  Sat, 15 Jun 2024 16:00:00 -0000

ros-humble-simple-launch (1.9.2-1bookworm) bookworm; urgency=high

  * Gazebo basic example: launch SDF world + spawn from xacro
  * remove dead code related to Gazebo.
  * sl.arg returns a SimpleSubstitution to allow concatenation
  * auto-detect Gazebo world name, allows running the simulation + spawn models in the same launch file
  * Type debug on String being Iterable
  * better handling of non-string choices in argument declaration
  * more robust to various gz/ros combinations
  * Contributors: Olivier Kermorgant

 -- Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>  Sun, 24 Mar 2024 16:00:00 -0000

ros-humble-simple-launch (1.9.1-1bookworm) bookworm; urgency=high

  * simplify + debug logic of SimpleSubstitution divisions
  * image instead of /image to be detected as an image topic
  * remove auto_sim_time function
  * more robust to various combinations of ROS and Gazebo
  * default Gazebo is still ignition Fortress, better error message about GZ_VERSION
  * add new bridges for Gazebo
  * Contributors: Olivier Kermorgant

 -- Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>  Mon, 19 Feb 2024 16:00:00 -0000

ros-humble-simple-launch (1.9.0-1bookworm) bookworm; urgency=high

  * update documentation
  * warnings/errors on misuse of GazeboBridge
  * move example executable to share directory
  * dict cannot be updated with | in Foxy, fallback to dict.update
  * absolute container name when loading in existing container
  * py_eval can now handle conditions
  * Contributors: Olivier Kermorgant

 -- Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>  Wed, 22 Nov 2023 16:00:00 -0000

ros-humble-simple-launch (1.8.0-1bookworm) bookworm; urgency=high

  * sync documentation and examples
  * when instead of after for events
  * scoped events
  * add event wrapper
  * Contributors: Olivier Kermorgant

 -- Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>  Sun, 19 Nov 2023 16:00:00 -0000

ros-humble-simple-launch (1.7.2-1bookworm) bookworm; urgency=high

  * simplify logic of try_perform
  * Merge pull request #5 <https://github.com/oKermorgant/simple_launch/issues/5> from okvik/devel
    Fix string-valued launch argument substitution
  * slight refactor to prepare wrapping Delays
  * Contributors: Olivier Kermorgant, Viktor Pocedulic
  * slight refactor to prepare wrapping Delays
  * Contributors: Olivier Kermorgant

 -- Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>  Sun, 01 Oct 2023 16:00:00 -0000

ros-humble-simple-launch (1.7.1-1bookworm) bookworm; urgency=high

  * list[] -> List[] for type hints in 20.04
  * detail on __ns for services
  * add service call at launch
  * Contributors: Olivier Kermorgant

 -- Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>  Mon, 15 May 2023 16:00:00 -0000

ros-humble-simple-launch (1.7.0-1bookworm) bookworm; urgency=high

  * GazeboBridge creates a camera_info topic for all bridged image topics
  * Contributors: Olivier Kermorgant

 -- Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>  Tue, 21 Feb 2023 16:00:00 -0000

ros-humble-simple-launch (1.6.2-1bookworm) bookworm; urgency=high

  * add .rviz shortcut, clean Python scripts
  * Contributors: Olivier Kermorgant

 -- Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>  Sun, 22 Jan 2023 16:00:00 -0000

ros-humble-simple-launch (1.6.1-1bookworm) bookworm; urgency=high

  * fix bug in robot_state_publisher with raw URDF
  * Contributors: Olivier Kermorgant

 -- Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>  Sun, 09 Oct 2022 16:00:00 -0000

ros-humble-simple-launch (1.6.0-1bookworm) bookworm; urgency=high

  * check use_sim_time versus a parameter file
  * resolve any builtin type as Substitution, not only text
  * improve documentation
  * Gazebo + humble compat
  * OpaqueFunction wrapper and SimpleSubstitution
  * switch to CMake to avoid deprecation messages
  * more spawn_gz
  * Contributors: Olivier Kermorgant

 -- Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>  Wed, 05 Oct 2022 16:00:00 -0000

ros-humble-simple-launch (1.5.0-1bookworm) bookworm; urgency=high

  * allow spawning a Gz model from file
  * parameters are list of dict
  * allow substitution for topics in ros_ign_image bridge
  * Gazebo bridge handles invalid ROS topics through yaml config file. Image bridges are automatically run through ros_ign_image
  * better handling of gazebo spawn pose
  * Contributors: Olivier Kermorgant

 -- Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>  Thu, 25 Aug 2022 16:00:00 -0000

ros-humble-simple-launch (1.4.1-1bookworm) bookworm; urgency=high

  * more handling of param types
  * Contributors: Olivier Kermorgant

 -- Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>  Tue, 31 May 2022 16:00:00 -0000

ros-humble-simple-launch (1.4.0-1bookworm) bookworm; urgency=high

  * use Gazebo instead of Ignition
  * better type comprehension
  * Contributors: Olivier Kermorgant

 -- Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>  Tue, 31 May 2022 16:00:00 -0000

ros-humble-simple-launch (1.3.1-1bookworm) bookworm; urgency=high

  * use underscores in setup.cfg
  * typo in included_launch example
  * Merge pull request #4 <https://github.com/oKermorgant/simple_launch/issues/4> from yushijinhun/patch-1
    Add package & executable parameter to container


=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-simple-launch//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-simple-launch//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-simple-launch//opt/ros/humble/opt/simple_launch/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
